KJL BUGS - Bug #3307

[HR-Report absence recap]perbaikan pada absensi dimana pada contoh employeeid 23060009

absensi nya tidka konsisten antara absence recap dan attendance recap. absence recap terlambat 13
sedangkan di attendance recap terlambat 3x.

12/18/2024 05:53 PM - Muhammad Bintar

Status: Closed Start date: 12/18/2024
Priority: Normal Due date: 12/20/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada absensi dimana pada contoh employeeid 23060009 absensi nya tidka

konsisten antara absence recap dan attendance recap. absence recap terlambat 13 sedangkan di attendance recap terlambat 3x.
yang salah itu absence recap.

dan juga tambahkan jika employee status inactive kode 02+ resign kode 04, maka jangan dimunculkan di report absence recap.
23060009 Eriansah 13 20:52 0 13 0 0 1 0 2
ATTENDANCE RECAP

PERIOD: 01 Desember 2024 - 18 Desember 2024

Employee ID Employee No Attendance Type Start Date Time Start End Date Time End D“{::::; Created By Change By
23060009 Eriansah 0171272024 0171272024 0.00
23060009 Eriansah MHormal 0201272024 07.39 0201272024 E 0.00 23080009 23060009
23060009 Eriansah MHormal 0301272024 03.01 03/1272024 18.36 10.35 23060009 23060009
23060009 Enansah 0411212024 0411212024 0.00
23060009 Enansah Mormal 0511212024 07.33 0511212024 18.12 10.39 23060009 23060009
23060009 Eriansah Hormal 06/12/2024 07.53 06/12/2024 17.57 10.04 23080009 23060009
23060009 Eriansah Hormal 07122024 08.24 07122024 18.38 10,14 23080009 23060009
23060009 Eriansah 08/12/2024 08/12/2024 0.00
23060009 Eriansah Hormal 0971272024 07.1 091272024 1324 11.13 23080009 23060009
23060009 Eriansah MHormal 1001272024 03.03 1001272024 13.43 10.40 23060009 23060009
23060009 Eriansah MHormal 111272024 07.56 11122024 17.57 10.01 23060009 23060009
23060009 Eriansah MHormal 1201272024 07.29 1201272024 19.36 12.07 23060009 23060009
23060009 Eriansah MHormal 1301272024 07.52 1301272024 2033 12.41 23060009 23060009
23060009 Eriansah MHormal 141272024 07.59 141272024 1412 6.13 23080009 23060009
23060009 Eriansah 1501272024 151272024 0.00
23060009 Eriansah MHormal 1601272024 07.04 161272024 1833 11.29 23060009 23060009
23060009 Eriansah MHormal 171272024 07.54 171272024 13.59 11.05 23060008 23060009
23060009 Eriansah MHormal 1801272024 07.53 1801272024 E 0.00 23080009 23060009
Total 1274

nama RDL nya CRPTTMREKAPABSENSI_LPPOM

aplikasi remote.minovais.com:31138
database sql

remote.minovais.com, 1442
minovaes_Kkil

History

#1 - 12/18/2024 06:22 PM - Muhammad Bintar

- Description updated

#2 - 12/19/2024 09:43 AM - Muhammad Bintar

- Description updated

#3 - 12/19/2024 10:05 AM - shofwan shiddiq
- File clipboard-202412191005-qmaoc.png added
- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Ini di day type start time nya jam 06:00 bukan 08:00 jadi hitungan telat nya dari jam 6 pagi keatas
4+ SQLQuery2:sql - remote.minovais.com, 1442.MinovaES_KIL (sa (54))* - Microsoft SQL Server Management Studio
#4 - 12/20/2024 05:49 PM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq
Files

StartBreak  EndBreak  DailyWorkHour
1300 8

ChangeDate
20240203082207

ChangeBy  ChangeDate

bintar 20240117095910
bintar 20240117095910
bintar 20240117095910
bintar 20240117095910
bintar 2024017095910
bintar 20240117095910
bintar 20240117095910
bintar 20240117095910
bintar 2024017095910

Notes. CreateDate:

CreateBy
NULL  minovais

Comect- ¥ ¥ e Sselect * from PHRPAGE2S where EmployeeID-'23066009
= @ remote.minovais.com, 1442 (SQL Server 120.6024.0 - sa) select * from PHRTMWSCAL where WorkScheduleType-'6DSH' and Year-"2024' and DateSpecified>-20241201
=] Databases
System Databases select * from PHRTMDAYTYP where DayType-"HDAYL'
Database Snapshots
@ MinovaES_Arita_Dev
@ MinovaES_Bank Kalteng_Dev
& MinovaES_Bank Kalteng_Dev_2023
W MinovaES_BankMegaDev
8 MinovaES_BankMegaSyariah_Dev
@ MinovaES_BIA Dev
@ MinovaES_BIA_Dev_buatazid
@ MinovaES_BWS Dev
@ MinovaEs_Demo
@ MinovaES_Development
@ MinovaEs_Easy
@ MinovaES_Internal_2021
= @ Minovaks_KIL 89%
Database Diagrams EH Results &8 Messages
Tables StriDate_ EndDate  EmployeelD WorkScheduleType  Notes CreatsBy  CreateDate ChangeBy
Views 1 120230726 | 20241224 23060009  6DBH 22060253 20230727162976 Eriansah
Synonyms
=] Programmability
Country pe Year D DayType CreateBy  CreateDate
B 1 Stored Procedures (filtered) 1 o001 ] epeH 2024 20241201 OFF NULL bintar 2024011708590
System Stored Procedures 2 0007 6DeH 2024 20241202 WDAY1  NULL bintar 2024017095910
dbo.CRPTTMREKAPABSENSI_LPPOM 3 0001 eDeH 2024 20241203 WDAY1  NULL bintar  20240117095910
E] dbo.CRPTTMREKAPABSENSI_LPPOM_Backup202406° 4 0001  6D8H 2024 20241204 WDAY  NULL bintar 20240117095910
Functions 5 0001  6DeH 2024 20241205 WDAY1  NULL bintar 2024017085910
Database Triggers 6 0001  6D8H 2024 20241206 WDAT1  NULL bintar  20240117095910
Assemblies 7 0001 BDeH 2024 20241207 WDAY2  NULL bintar  20240117005910
Types 8 0001  6D8H 2024 20241208 OFF NULL bintar 2024017095910
Rules 3 0001  6DBH 2024 20241208 WDAY1  NULL bintar  20240117085910
Defaults StarDate  EndDate  DayTyps  DayTypeDescription Flag  StarTime EndTime
Plan Guides 1 130160101 | 99991231 WDAY1  Working Day Senin-Jumat WORK 0600 1100 1200
Sequences
@ & Sonira Renvor
@ Query executed successfully.
